# MAKE_SHA1

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
AUTHORS

*

## NAME

make_sha1 − Generate SHA1 checksums for given set of users.

## SYNOPSIS

make_sha1 [ −C config-file ] [ −D md5_dir ] [ −k count ] [ −f input_file ] [ −m offset ] [ −M modulo ] [ −v ] [ userid... ]

## DESCRIPTION

Generate SHA1 checksums for messages given set of users. Works as incremental update: reads in existing set of SHA1 checksums from sha1_dir/u/userid (hashed on first letter of userid) if that file exists. Scans account looking for new messages, and then updates record.

The SHA1 checksums which are generated are used to test integrity of the master, replica and backup systems on Hermes.

## OPTIONS

−C config-file

Read configuration options from config-file.

−D sha1_dir

Read and write SHA1 checksums from sha1_dir, overrides configuration file setting of the same name.

−k count

Concurrency level: run up to count asynchronous child processes.

−f input_file

List of accounts to process: use in place of command line arguments.

−m offset

Regenerate given fraction of the user database in combination with −M below.

−M modulo

Regenerate SHA1 checksums for given fraction of user database. Allows for rolling consisency checks.

| −v |  | Verbose mode. |

## FILES

/etc/imapd.conf

## AUTHORS

David Carter (dpc22@cam.ac.uk)